INSERT INTO procs set name='Lecteurs - Infos de base - Plusieurs tris possibles', requete='SELECT location_libelle as Localisation, 
libelle_groupe AS Groupe, 
empr_nom as Nom, empr_prenom as \'Prnom\', 
empr_cb as \'Numro\', 
(CASE empr_sexe WHEN \'1\' THEN \'M\' WHEN \'2\' THEN \'F\' ELSE \' \' END) as Sexe 

FROM empr_caddie_content, docs_location, empr 
LEFT JOIN empr_groupe ON empr_id = id_empr 
LEFT JOIN groupe ON groupe_id = id_groupe 

WHERE empr_location = idlocation  

GROUP BY empr_cb 

ORDER BY location_libelle, 
(CASE (!!choix!!) 
WHEN \'1\' THEN CONCAT(libelle_groupe,\' \', empr_nom, \' \', empr_prenom) 
WHEN \'2\' THEN CONCAT(empr_nom, \' \', empr_prenom) 
WHEN \'3\' THEN empr_cb ELSE \'\' END)', comment='Tri par localisation, ensuite au choix : groupe+nom+prnom OU nom+prnom OU numro de lecteur', autorisations='1', parameters='<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>
<FIELDS>
 <FIELD NAME=\"CADDIE\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Nom du panier]]></ALIAS>
  <TYPE>query_list</TYPE>
<OPTIONS FOR=\"query_list\">
 <QUERY>SELECT idemprcaddie, name FROM empr_caddie ORDER BY name</QUERY>
 <MULTIPLE>yes</MULTIPLE>
 <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
 <FIELD NAME=\"choix\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Tri par localisation, ensuite]]></ALIAS>
  <TYPE>list</TYPE>
<OPTIONS FOR=\"list\">
 <MULTIPLE>no</MULTIPLE>
 <ITEMS>
  <ITEM VALUE=\"1\"><![CDATA[Groupe, nom, prnom]]></ITEM>
  <ITEM VALUE=\"2\"><![CDATA[Nom, prnom]]></ITEM>
  <ITEM VALUE=\"3\"><![CDATA[Numro de lecteur]]></ITEM>
 </ITEMS>
 <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
</FIELDS>' 
#charset=iso-8859-1